Welcome! » Log In » Create A New Profile

Ruby elements 'not supported'

Posted by dlstr 
Ruby elements 'not supported'
July 01, 2017 02:12AM

Hi,

I'm having issues with the library claiming that ruby tags (ruby, rb, rp, rt, rtc) are not supported by default. This appears to not be the case, however, as definitions appear in `/HTMLModule/Ruby.php`

There's the potentiality that I've missed one or more changes along the pipeline that have either temporarily removed, permanently removed, or feature locked support for the ruby family of tags, but I've found no immediate evidence of such a change.

The only customization features I'm using are implementations of three missing tags (mark, time, wbr), escaping invalid tags, and removing the `a` tag by whitelisting everything else (in addition to the mark, time, and wbr tags)

What could be going awry? Am I missing some hidden feature, or perhaps implementing my configuration incorrectly? Or am I misunderstanding the contents of `/HTMLModule/Ruby.php`?

The error:

Warning: Element '{ruby element*}' is not supported

*{rb, rp, rt, rtc, ruby}

The whitelist:

abbr,b,bdo,blockquote,br,caption,cite,code,dd,del,div,dl,dt,em,h1,h2,h3,h4,h5,h6,

hr,i,ins,kbd,li,mark,ol,p,pre,q,rb,rp,rt,rtc,ruby,s,samp,small,span,strong,sub,sup,

u,ul,var,wbr

Edited 3 time(s). Last edit at 07/01/2017 02:18AM by dlstr.

Re: Ruby elements 'not supported'
May 18, 2018 04:19PM

IIRC, these are only enabled if you use the XHTML 1.1 doctype. This is probably pretty out-of-date now (since I think HTML 5 natively supports it).

Sorry, you do not have permission to post/reply in this forum.